# Command line tool

```bash
npx gem-book -h
```

#### `-t, --title <title>`

Specify the document title, read from `package.json` by default or use the current working directory name.

#### `-i, --icon <path>`

Specify the icon path, you can use a full URL or a relative path based on the current working directory.

#### `-o, --output <path>`

Specify the output file directory, the default is the specified document directory; If it is `json`, it will be used as the output path of `gem-book.json`.

#### `-d, --source-dir <dir>`

Specify the location of the document directory in GitHub, and finally generate a link to GitHub.

#### `-b, --source-branch <branch>`

Specify the branch of the document, and finally generate a link to GitHub.

#### `--github <url>`

Specify the GitHub address and it will be rendered in the navigation bar. By default, it will be read from the `package.json` and local `.git` directory.

#### `--footer <string>`

Custom render footer content.

#### `--display-rank`

Display the value used for sorting in the url.

#### `--home-mode`

Display the `README.md` / `index.md` in the document root directory in the homepage layout of the website, and the document [metadata](./004-metadata.md) is required.

#### `--nav <title,link>`

Specify the navigation bar link, for example:

```bash
npx gem-book docs --nav Github,https://github.com --nav MyWebsite,https://my.website
```

#### `--ga <id>`

Add [Google Analytics v4](https://developers.google.com/analytics/devguides/collection/ga4) support.

#### `--template <path>`

Specify the HTML template path, you can execute additional `Javascript` or other `meta` elements in the template.

#### `--i18n`

Specify whether the document directory supports [Internationalization](./002-i18n.md).

#### `--plugin <name or path>`

Load the plugin, you can add more than one. You can also provide custom plugin using URLs or relative paths.

#### `--theme <name or path>`

Use built-in themes or custom themes.

#### `--build`

Output all front-end resources and `<gem-book>` configuration.

#### `--json`

Only output the configuration of `<gem-book>` in json format, default is `gem-book.json`.

#### `--config <path>`

Specify `<gem-book>` configuration (`sidebar` is not supported) and cli options.

#### `--debug`

Output debugging information: `gem-book.json`, `stats.json`, `source-map`.
