# 命令行工具

```bash
npx gem-book -h
```

### 命令行选项

#### `-t, --title <title>`

指定文档标题，默认从 `package.json` 读取或者使用当前工作目录名。

#### `-i, --icon <path>`

指定图标路径，可以使用完整的 URL 或基于当前工作目录的相对路径。

#### `-o, --output <path>`

指定输出文件目录，默认为指定的文档目录；如果是 `json` 则作为 `gem-book.json` 的输出路径。

#### `-d, --source-dir <dir>`

指定文档目录在 GitHub 中的位置，最终生成前往 GitHub 的链接。

#### `-b, --source-branch <branch>`

指定文档的分支，最终生成前往 GitHub 的链接。

#### `--github <url>`

指定 GitHub 地址，会渲染到导航栏中，默认会从 `package.json` 和本地 `.git` 目录中读取。

#### `--footer <string>`

自定义渲染页脚。

#### `--display-rank`

在 url 中显示用于排序的值。

#### `--home-mode`

以网站主页布局显示文档根目录下的 `README.md` / `index.md`，需要配合文档[元数据](./004-metadata.md)。

#### `--nav <title,link>`

指定导航栏链接，例如：

```bash
npx gem-book docs --nav Github,https://github.com --nav MyWebsite,https://my.website
```

#### `--ga <id>`

添加 [Google Analytics v4](https://developers.google.com/analytics/devguides/collection/ga4) 支持。

#### `--template <path>`

指定 HTML 模版路径，可以在模版中执行额外的 `Javascript` 或者其他 `meta` 元素。

#### `--i18n`

指定文档目录是否支持[国际化](./002-i18n.md)。

#### `--plugin <name or path>`

加载插件，可添加多个。也可以使用 URL 或者相对路径提供自定义插件。

#### `--theme <name or path>`

使用内置主题或者自定义主题。

#### `--build`

输出所有前端资源和 `<gem-book>` 配置。

#### `--json`

只输出 `<gem-book>` 的 json 格式的配置，默认为 `gem-book.json`。

#### `--config <path>`

指定`<gem-book>` 的配置（不支持 `sidebar`）和命令行选项。

#### `--debug`

输出调试信息：`gem-book.json`, `stats.json`, `source-map`。
